## ros-one-carrot-planner 1.17.3-4jammy.20251023.1256

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(carrot_planner)

find_package(catkin REQUIRED
  COMPONENTS
    angles
    base_local_planner
    costmap_2d
    nav_core
    pluginlib
    roscpp
    tf2
    tf2_geometry_msgs
    tf2_ros
)

include_directories(
    include 
    ${catkin_INCLUDE_DIRS}
    )
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES carrot_planner
  CATKIN_DEPENDS
    angles
    base_local_planner
    costmap_2d
    nav_core
    pluginlib
    roscpp
    tf2
    tf2_ros
)

add_library(carrot_planner src/carrot_planner.cpp)
add_dependencies(carrot_planner ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(carrot_planner
    ${catkin_LIBRARIES}
    )

install(TARGETS carrot_planner
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
       )

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

install(FILES bgp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4jammy.20251023.1256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 23 Oct 2025 12:56:02 +0000

ros-one-carrot-planner (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-carrot-planner (1.17.2-0jammy) jammy; urgency=high

  * Fix carrot planner (#1056 <https://github.com/ros-planning/navigation/issues/1056>)
    * fix memory leak of world_model_
    * fix uninitialized raw pointers
    * move the angles header into cpp
    * add missing angles dependency
    Co-authored-by: Dima Dorezyuk <mailto:dorezyuk@magazino.eu>
  * Contributors: Dima Dorezyuk

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-carrot-planner (1.17.1-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-carrot-planner (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.6-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.5-0jammy) jammy; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.4-0jammy) jammy; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.3-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-carrot-planner (1.16.2-0jammy) jammy; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * fix depends of carrot_planner
    * declare direct dependency on tf2
    * alphabetize the depends in CMake
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.16.1-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.16.0-0jammy) jammy; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.15.2-0jammy) jammy; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-carrot-planner (1.15.1-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-carrot-planner (1.15.0-0jammy) jammy; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-carrot-planner (1.14.0-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-carrot-planner (1.13.1-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-carrot-planner (1.13.0-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-carrot-planner (1.12.0-0jammy) jammy; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-carrot-planner (1.11.15-0jammy) jammy; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-carrot-planner (1.11.14-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.13-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.12-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.11-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 23 Jul 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.10-0jammy) jammy; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 25 Jun 2014 00:00:00 -0000



=== debian/control ===
Source: ros-one-carrot-planner
Section: misc
Priority: optional
Maintainer: Aaron Hoy <ahoy@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-angles, ros-one-base-local-planner, ros-one-catkin, ros-one-costmap-2d, ros-one-nav-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/carrot_planner
Standards-Version: 3.9.2

Package: ros-one-carrot-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-angles, ros-one-base-local-planner, ros-one-costmap-2d, ros-one-nav-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2, ros-one-tf2-ros
Description: This planner attempts to find a legal place to put a carrot for the robot to follow.
 It does this by moving back along the vector between the robot and the goal point.

## ros-one-carrot-planner 1.17.3-4jammy.20251208.0110

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4jammy.20251208.0110) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 08 Dec 2025 01:10:08 +0000

## ros-one-carrot-planner 1.17.3-4jammy.20260222.0009

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4jammy.20260222.0009) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sun, 22 Feb 2026 00:09:42 +0000

## ros-one-carrot-planner 1.17.3-4noble.20251023.1443

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4noble.20251023.1443) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 23 Oct 2025 14:43:06 +0000

ros-one-carrot-planner (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-carrot-planner (1.17.2-0noble) noble; urgency=high

  * Fix carrot planner (#1056 <https://github.com/ros-planning/navigation/issues/1056>)
    * fix memory leak of world_model_
    * fix uninitialized raw pointers
    * move the angles header into cpp
    * add missing angles dependency
    Co-authored-by: Dima Dorezyuk <mailto:dorezyuk@magazino.eu>
  * Contributors: Dima Dorezyuk

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-carrot-planner (1.17.1-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-carrot-planner (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.6-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.4-0noble) noble; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-carrot-planner (1.16.3-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-carrot-planner (1.16.2-0noble) noble; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * fix depends of carrot_planner
    * declare direct dependency on tf2
    * alphabetize the depends in CMake
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.16.1-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.16.0-0noble) noble; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-carrot-planner (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-carrot-planner (1.15.1-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-carrot-planner (1.15.0-0noble) noble; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas, Vincent Rabaud

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-carrot-planner (1.14.0-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-carrot-planner (1.13.1-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-carrot-planner (1.13.0-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-carrot-planner (1.12.0-0noble) noble; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-carrot-planner (1.11.15-0noble) noble; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-carrot-planner (1.11.14-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.13-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.12-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.11-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 23 Jul 2014 00:00:00 -0000

ros-one-carrot-planner (1.11.10-0noble) noble; urgency=high



 -- Aaron Hoy <ahoy@fetchrobotics.com>  Wed, 25 Jun 2014 00:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-carrot-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-carrot-planner 1.17.3-4noble.20251208.1156

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4noble.20251208.1156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Mon, 08 Dec 2025 11:56:58 +0000

## ros-one-carrot-planner 1.17.3-4noble.20260222.0119

=== debian/changelog ===
ros-one-carrot-planner (1.17.3-4noble.20260222.0119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Aaron Hoy <ahoy@fetchrobotics.com>  Sun, 22 Feb 2026 01:19:19 +0000
